sc::RefBase(3)

NAME
sc::RefBase -

Provides a few utility routines common to all Ref template instantiations'.

SYNOPSIS

#include <ref.h>

Inherited by sc::Ref< AccumH >, sc::Ref< AngularIntegrator >, sc::Ref< Appearance >, sc::Ref< AtomInfo >, sc::Ref< BatchElectronDensity >, sc::Ref< BEMSolvent >, sc::Ref< Convergence >, sc::Ref< DenFunctional >, sc::Ref< DenIntegrator >, sc::Ref< DescribedClass >, sc::Ref< DiagSCMatrix >, sc::Ref< DipoleData >, sc::Ref< Edge >, sc::Ref< EfieldDotVectorData >, sc::Ref< FJT >, sc::Ref< Function >, sc::Ref< GaussianBasisSet >, sc::Ref< HessianUpdate >, sc::Ref< Int1eCCA >, sc::Ref< Int1eCints >, sc::Ref< Int1eV3 >, sc::Ref< Int2eCCA >, sc::Ref< Int2eCints >, sc::Ref< Int2eV3 >, sc::Ref< IntCoor >, sc::Ref< IntCoorGen >, sc::Ref< Integral >, sc::Ref< IntegralStorer >, sc::Ref< IntegrationWeight >, sc::Ref< KeyVal >, sc::Ref< LineOpt >, sc::Ref< LSDACFunctional >, sc::Ref< MachineTopology >, sc::Ref< Material >, sc::Ref< MemoryGrp >, sc::Ref< MessageGrp >, sc::Ref< MOIndexSpace >, sc::Ref< MOIntsTransformFactory >, sc::Ref< MolecularCoor >, sc::Ref< MolecularEnergy >, sc::Ref< MolecularFrequencies >, sc::Ref< MolecularHessian >, sc::Ref< Molecule >, sc::Ref< MoleculeColorizer >, sc::Ref< MP2R12Energy >, sc::Ref< OneBodyInt >, sc::Ref< OneBodyIntIter >, sc::Ref< OneBodyWavefunction >, sc::Ref< OverlapOrthog >, sc::Ref< PetiteList >, sc::Ref< PointChargeData >, sc::Ref< PointGroup >, sc::Ref< PrimPairsCints >, sc::Ref< PsiExEnv >, sc::Ref< PsiFile11 >, sc::Ref< PsiInput >, sc::Ref< PsiSCF >, sc::Ref< R12Amplitudes >, sc::Ref< R12IntEval >, sc::Ref< R12IntEvalInfo >, sc::Ref< R12IntsAcc >, sc::Ref< RadialIntegrator >, sc::Ref< RegionTimer >, sc::Ref< RenderedMolecule >, sc::Ref< RenderedObject >, sc::Ref< SavableState >, sc::Ref< sc::Int1eCCA >, sc::Ref< SCBlockInfo >, sc::Ref< SCDimension >, sc::Ref< SCExtrapData >, sc::Ref< SCExtrapError >, sc::Ref< SCF >, sc::Ref< SCMatrix >, sc::Ref< SCMatrixBlock >, sc::Ref< SCMatrixBlockList >, sc::Ref< SCMatrixDiagBlock >, sc::Ref< SCMatrixKit >, sc::Ref< SCMatrixLTriBlock >, sc::Ref< SCMatrixRectBlock >, sc::Ref< SCMatrixSubblockIter >, sc::Ref< SCVector >, sc::Ref< SCVectorSimpleBlock >, sc::Ref< SelfConsistentExtrapolation >, sc::Ref< SetIntCoor >, sc::Ref< ShellPairCints >, sc::Ref< ShellPairsCints >, sc::Ref< SOBasis >, sc::Ref< SymmSCMatrix >, sc::Ref< ThreadGrp >, sc::Ref< ThreadLock >, sc::Ref< Transform >, sc::Ref< TriangleIntegrator >, sc::Ref< TriangulatedImplicitSurface >, sc::Ref< TriangulatedSurface >, sc::Ref< TriInterpCoef >, sc::Ref< TwoBodyDerivInt >, sc::Ref< TwoBodyGrid >, sc::Ref< TwoBodyInt >, sc::Ref< TwoBodyMOIntsTransform >, sc::Ref< Units >, sc::Ref< Vertex >, sc::Ref< Volume >, sc::Ref< Wavefunction >, and sc::Ref< T >'.

  Public Member Functions
virtual RefCount * parentpointer () const =0
Returns the DescribedClass pointer for the contained object'.
void require_nonnull () const
Requires that a nonnull reference is held'.

  Protected Member Functions
void warn (const char *msg) const
Print a warning message'.
void warn_ref_to_stack () const
Called when stack data is referenced'.
void warn_skip_stack_delete () const
Called when the deletion of stack data is skipped'.
void warn_bad_ref_count () const
Called when the reference count is corrupted'.
void ref_info (RefCount *p, std::ostream &os) const
Print information about the reference'.
void ref_info (std::ostream &os) const
void check_pointer () const
void reference (RefCount *)
int dereference (RefCount *)

Detailed Description

Provides a few utility routines common to all Ref template instantiations'.

Member Function Documentation

  void sc::RefBase::require_nonnull () const

Requires that a nonnull reference is held'. If not, the program will abort'.

Author

Generated automatically by Doxygen for MPQC from the source code'.